Loading...
Searching...
No Matches

backward
direction
duration
during
forward
from
jump
onSeek
onSeek
onSeek
onStep
onStep
onStep
peek
peek
peek
point
progress
seek
seek
seek
step
step
step
to
tween
via
via

## step() [2/3]

template<typename T , typename... Ts>

const detail::tweentraits< T, Ts... >::valuesType & step | ( | int32_t | dt,
|  | bool | suppressCallbacks = `false`
| ) |  |

Steps the animation by the designated delta amount.

You should call this every frame of your application, passing in the amount of delta time that you want to animate.

Example:

// tween duration is 100ms
auto tween = tweeny::from(0).to(100).during(100);
// steps for 16ms
tween.step(16);
tweeny::tween::to
tween< T, Ts... > & to(T t, Ts... vs)
Adds a new currentPoint in this tweening.
tweeny::tween::step
const detail::tweentraits< T, Ts... >::valuesType & step(int32_t dt, bool suppressCallbacks=false)
Steps the animation by the designated delta amount.
tweeny::tween
The tween class is the core class of tweeny. It controls the interpolation steps, easings and duratio...
Definition tween.h:48
tweeny::from
tween< Ts... > from(Ts... vs)
Creates a tween starting from the values defined in the arguments.

Parameters

  dt | Delta duration
  suppressCallbacks | (Optional) Suppress callbacks registered with tween::onStep()

Returns
  std::tuple<Ts...> with the current tween values.